Skip to main content
PATCH
/
v1
/
webhooks
/
{id}
Update a webhook
curl --request PATCH \
  --url https://api.vendaze.com/v1/webhooks/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "Updated webhook name",
  "url": "https://myapp.com/webhooks/vendaze-v2",
  "events": [
    "person.created",
    "person.updated",
    "deal.won",
    "deal.lost"
  ],
  "auth_enable": false
}
'
{
  "data": {
    "id": "wh_3f9a1c8b2d4e5f6a7b8c9d0e1f2a3b4c",
    "name": "My webhook",
    "url": "https://myapp.com/webhooks/vendaze",
    "events": [
      "person.created",
      "deal.won"
    ],
    "auth_enable": true,
    "webhook_secret": "whsec_3f9a1c8b2d4e5f6a7b8c9d0e1f2a3b4c5d6e7f8a9b0c1d2e3f4a5b6c7d8e9f0",
    "created_at": "2026-05-26T14:00:00.000Z"
  }
}

Authorizations

Authorization
string
header
required

OAuth 2.1 access token.

Path Parameters

id
string
required

Webhook ID.

Body

application/json
name
string

New descriptive name.

Required string length: 1 - 100
Example:

"Updated webhook name"

url
string<uri>

New HTTPS destination URL.

Example:

"https://myapp.com/webhooks/vendaze-v2"

events
enum<string>[]

New list of subscribed events. Replaces the existing list entirely.

Minimum array length: 1

A valid webhook event name.

Available options:
person.created,
person.updated,
person.deleted,
activity.created,
activity.updated,
activity.deleted,
company.created,
company.updated,
company.deleted,
deal.created,
deal.updated,
deal.stage_changed,
deal.won,
deal.lost,
deal.deleted,
task.created,
task.updated,
task.completed,
task.deleted,
tag.created,
tag.updated,
tag.deleted,
product.created,
product.updated,
product.deleted,
pipeline.created,
pipeline.updated,
pipeline.deleted,
member_invited,
member_joined,
member_removed,
usage_logs.created
Example:
[
"person.created",
"person.updated",
"deal.won",
"deal.lost"
]
auth_enable
boolean

false to true: generates a new webhook_secret. true to false: permanently deletes the existing webhook_secret. No change: webhook_secret is not modified.

Example:

false

Response

Webhook updated successfully.

data
object